Skip to main content
PUT
Edit analyse settings

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

projectUid
string
required

UID of the project

Body

application/json

Analyse settings to apply

type
enum<string>
required

Analysis type: PreAnalyse (source segments analysis), PostAnalyse (machine translation post-editing analysis), PreAnalyseTarget (target segments analysis) or Compare (compares word/character counts across workflow levels)

Available options:
PreAnalyse,
PostAnalyse,
PreAnalyseTarget,
Compare
allowAutomaticPostAnalysis
boolean

If automatic post analysis should be created after update source. Default: false

analyzeByLanguage
boolean

When true, creates one analysis per target language instead of a single combined analysis. Default: false

analyzeByProvider
boolean

When true, creates one analysis per assigned provider instead of a single combined analysis. Default: false

countSourceUnits
boolean

Whether the analysis counts source or target word/character units. When true, counts are based on the source language content; when false, counts are based on the target language content. Default: false

includeConfirmedSegments
boolean

When true, confirmed (translated) segments are included in the counts. Default: false

includeFuzzyRepetitions
boolean

When true, internal fuzzy matches (segments that fuzzily repeat within the analyzed content) are included in the counts. Default: false

includeLockedSegments
boolean

When true, locked segments are included in the counts. Default: false

includeMachineTranslationMatches
boolean

When true, machine translation matches are included in the counts. Default: false

includeNonTranslatables
boolean

When true, non-translatable segments are included in the counts. Default: false

includeNotConfirmedSegments
boolean

When true, not confirmed segments are included in the counts. Default: false

includeNumbers
boolean

When true, number-only segments are included in the counts. Default: false

includeTransMemory
boolean

When true, translation memory matches are included in the counts. Default: false

machineTranslatePostEditing
boolean

When true, measures the post-editing distance against machine translation matches. Default: false

namingPattern
string
nonTranslatablePostEditing
boolean

When true, measures the post-editing distance for non-translatable segments. Default: false

separateFuzzyRepetitions
boolean

When true, internal fuzzy repetitions are counted as a separate category instead of being merged into the Repetitions count. Default: false

skipMtScoreThreshold
number<double>

Used only for type=PreAnalyse or PreAnalyseTarget. Threshold above which the MT suggestions are not used. Default: value from PreTranslate settings

transMemoryPostEditing
boolean

When true, measures the post-editing distance against translation memory matches. Default: false

Response

OK

type
enum<string>
required

Analysis type: PreAnalyse (source segments analysis), PostAnalyse (machine translation post-editing analysis), PreAnalyseTarget (target segments analysis) or Compare (compares word/character counts across workflow levels)

Available options:
PreAnalyse,
PostAnalyse,
PreAnalyseTarget,
Compare
allowAutomaticPostAnalysis
boolean

If automatic post analysis should be created after update source. Default: false

analyzeByLanguage
boolean

When true, creates one analysis per target language instead of a single combined analysis. Default: false

analyzeByProvider
boolean

When true, creates one analysis per assigned provider instead of a single combined analysis. Default: false

countSourceUnits
boolean

Whether the analysis counts source or target word/character units. When true, counts are based on the source language content; when false, counts are based on the target language content. Default: false

includeConfirmedSegments
boolean

When true, confirmed (translated) segments are included in the counts. Default: false

includeFuzzyRepetitions
boolean

When true, internal fuzzy matches (segments that fuzzily repeat within the analyzed content) are included in the counts. Default: false

includeLockedSegments
boolean

When true, locked segments are included in the counts. Default: false

includeMachineTranslationMatches
boolean

When true, machine translation matches are included in the counts. Default: false

includeNonTranslatables
boolean

When true, non-translatable segments are included in the counts. Default: false

includeNotConfirmedSegments
boolean

When true, not confirmed segments are included in the counts. Default: false

includeNumbers
boolean

When true, number-only segments are included in the counts. Default: false

includeTransMemory
boolean

When true, translation memory matches are included in the counts. Default: false

machineTranslatePostEditing
boolean

When true, measures the post-editing distance against machine translation matches. Default: false

namingPattern
string
nonTranslatablePostEditing
boolean

When true, measures the post-editing distance for non-translatable segments. Default: false

separateFuzzyRepetitions
boolean

When true, internal fuzzy repetitions are counted as a separate category instead of being merged into the Repetitions count. Default: false

skipMtScoreThreshold
number<double>

Used only for type=PreAnalyse or PreAnalyseTarget. Threshold above which the MT suggestions are not used. Default: value from PreTranslate settings

transMemoryPostEditing
boolean

When true, measures the post-editing distance against translation memory matches. Default: false